/*
FSA_MDS_EVENT_NEW
*/
USE [COWS]
GO
SET NOCOUNT ON
GO
ALTER TABLE dbo.MDS_EVENT_MNS NOCHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.MDS_EVENT_ODIE_DEV_NME NOCHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MDS_EVENT_CPE NOCHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MDS_MNGD_ACT_NEW NOCHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MDS_EVENT_WIRED_TRPT NOCHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MDS_EVENT_ACCS NOCHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MDS_EVENT_WRLS_TRPT NOCHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MDS_EVENT_VRTL_CNCTN NOCHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.FSA_MDS_EVENT_NEW NOCHECK CONSTRAINT ALL
GO
SET IDENTITY_INSERT COWS.dbo.FSA_MDS_EVENT_NEW ON
GO

Insert into FSA_MDS_EVENT_NEW 
(FSA_MDS_EVENT_ID,
EVENT_ID,
TAB_NME,
ORDR_EVENT_STUS_ID,
TAB_SEQ_NBR,
H5_H6_CUST_ID,
CMPLTD_CD,
TAB_DLTD_CD,
INSTL_SITE_POC_NME,
INSTL_SITE_POC_INTL_PHN_CD,
INSTL_SITE_POC_PHN_NBR,
INSTL_SITE_POC_INTL_CELL_PHN_CD,
INSTL_SITE_POC_CELL_PHN_NBR,
SRVC_ASSRN_POC_NME,
SRVC_ASSRN_POC_INTL_PHN_CD,
SRVC_ASSRN_POC_PHN_NBR,
SRVC_ASSRN_POC_INTL_CELL_PHN_CD,
SRVC_ASSRN_POC_CELL_NBR,
US_INTL_ID,
SITE_ADR,
FLR_BLDG_NME,
CTY_NME,
STT_PRVN_NME,
CTRY_RGN_NME,
ZIP_CD,
WIRED_DEV_TRPT_REQR_CD,
WRLS_TRPT_REQR_CD,
VRTL_CNCTN_CD,
CREAT_BY_USER_ID,
MODFD_BY_USER_ID,
MODFD_DT,
CREAT_DT,
EVENT_SCHED_NTE_TXT
--,SPRF_DEV_TRNSPRT_REQR_CD
--,SPAE_TRNSPRT_REQR_CD
)
Select DISTINCT 
	fmds.FSA_MDS_EVENT_ID
	,fmds.EVENT_ID
	,fmds.TAB_NME
	,fmds.ORDR_EVENT_STUS_ID
	,fmds.TAB_SEQ_NBR
	,fmds.H5_H6_CUST_ID
	,fmds.CMPLTD_CD
	,NULL AS TAB_DLTD_CD 
	,fmds.INSTL_SITE_POC_NME
	,NULL AS INSTL_SITE_POC_INTL_PHN_CD 
	,fmds.INSTL_SITE_POC_PHN_NBR
	,NULL AS INSTL_SITE_POC_INTL_CELL_PHN_CD 
	,fmds.INSTL_SITE_POC_CELL_PHN_NBR
	,fmds.SRVC_ASSRN_POC_NME
	,NULL AS SRVC_ASSRN_POC_INTL_PHN_CD 
	,fmds.SRVC_ASSRN_POC_PHN_NBR
	,NULL AS SRVC_ASSRN_POC_INTL_CELL_PHN_CD 
	,fmds.SRVC_ASSRN_POC_CELL_NBR
	,fmds.US_INTL_ID
	,fmds.ADR AS  SITE_ADR 
	,fmds.FLR_BLDG_NME
	,fmds.CTY_NME
	,fmds.STT_PRVN_NME
	,fmds.CTRY_RGN_NME
	,fmds.ZIP_CD
	,fmds.WIRED_DEV_TRNSPRT_REQR_CD AS WIRED_DEV_TRPT_REQR_CD
	,fmds.WRLS_TRNSPRT_REQR_CD AS  WRLS_TRPT_REQR_CD
	,fmds.VRTL_CNCTN_CD
	,fmds.CREAT_BY_USER_ID
	,fmds.MODFD_BY_USER_ID
	,fmds.MODFD_DT
	,fmds.CREAT_DT
	,fmds.EVENT_SCHED_NTE_TXT
	--,SPRF_DEV_TRNSPRT_REQR_CD --?? new column (not null)
	--,SPAE_TRNSPRT_REQR_CD --?? new column (not null)
FROM dbo.FSA_MDS_EVENT fmds WITH (NOLOCK)


GO
SET NOCOUNT OFF
GO
SET IDENTITY_INSERT COWS.dbo.FSA_MDS_EVENT_NEW OFF
GO
ALTER TABLE dbo.FSA_MDS_EVENT_NEW CHECK CONSTRAINT ALL
GO
GO
ALTER TABLE dbo.MDS_EVENT_MNS CHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.MDS_EVENT_ODIE_DEV_NME CHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MDS_EVENT_CPE CHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MDS_MNGD_ACT_NEW CHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MDS_EVENT_WIRED_TRPT CHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MDS_EVENT_ACCS CHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MDS_EVENT_WRLS_TRPT CHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MDS_EVENT_VRTL_CNCTN CHECK CONSTRAINT ALL
GO
